## dune-common 2.3.1

=== bin/CMakeLists.txt ===
install(PROGRAMS
        am2cmake.py
	dunedoxynize
	duneproject
	dunecontrol
	git-whitespace-hook
	mpi-config
	dune-autogen
	DESTINATION ${CMAKE_INSTALL_BINDIR})

=== m4/CMakeLists.txt ===
install(PROGRAMS
        acx_blas.m4
        acx_lapack.m4
        acx_mpi.m4
        acx_pthread.m4
        ax_boost_base.m4
        ax_check_gl.m4
        ax_lang_compiler_ms.m4
        boost_fusion.m4
        cxx0x_compiler.m4
        cxx0x_rvaluereference.m4
        cxx0x_nullptr.m4
        cxx0x_static_assert.m4
        cxx0x_variadic.m4
        cxx0x_variadic_constructor_sfinae.m4
        cxx11_constexpr.m4
        cxx11_initializer_list.m4
        cxx11_conditional.m4
        dune.m4
        dune_all.m4
        dune_autobuild.m4
        dune_boost_base.m4
        dune_check_lib.m4
        dune_common.m4
        dune_compiler.m4
        dune_cxa_demangle.m4
        dune_fortran.m4
        dune_deprecated.m4
        dune_deprecated_cppflags.m4
        dune_docu.m4
        dune_linkcxx.m4
        dune_mpi.m4
        dune_streams.m4
        dune_tr1_headers.m4
        dune_unused.m4
        fortran_overwrite.m4
        gmp.m4
        hdf5.m4
        immdx_lib_metis.m4
        inkscape.m4
        libtoolcompat.m4
        make_shared.m4
        mprotect.m4
        mpi-config.m4
        opengl.m4
        parmetis.m4
        shared_ptr.m4
        umfpack.m4
        xdr.m4
	DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dune/aclocal
)

=== cmake/modules/CMakeLists.txt ===
set(modules
  AddGMPFlags.cmake
  AddMETISFlags.cmake
  AddParMETISFlags.cmake
  AddUMFPackFlags.cmake
  CheckCXX11Features.cmake
  CheckSharedPtr.cmake
  DuneBoost.cmake
  DuneCMakePackageConfigHelpers.cmake
  DuneCommonMacros.cmake
  DuneCxaDemangle.cmake
  DuneDoc.cmake
  DuneDoxygen.cmake
  DuneMacros.cmake
  DuneMPI.cmake
  DunePkgConfig.cmake
  DuneStreams.cmake
  DuneTestMacros.cmake
  DuneTests.cmake
  FindBoostFusion.cmake
  FindGMP.cmake
  FindInkscape.cmake
  FindMETIS.cmake
  FindMProtect.cmake
  FindParMETIS.cmake
  FindUMFPack.cmake
  Headercheck.cmake
  LanguageSupport.cmake
  UseInkscape.cmake
  UseLATEX.cmake)
install(FILES ${modules} DESTINATION ${DUNE_INSTALL_MODULEDIR})

=== doc/buildsystem/CMakeLists.txt ===
dune_add_latex_document(buildsystem.tex FATHER_TARGET doc DEFAULT_PDF INPUTS ../Makefile.am ../../configure.ac ../example.opts)
create_doc_install(${CMAKE_CURRENT_BINARY_DIR}/buildsystem.pdf ${CMAKE_INSTALL_DOCDIR}/buildsystem)

=== dune/common/CMakeLists.txt ===
add_subdirectory("parallel")
add_subdirectory("std")
add_subdirectory("test" EXCLUDE_FROM_ALL)

#build the library dunecommon
if(LAPACK_FOUND)
  set(_additional_libs ${LAPACK_LIBRARIES})
elseif(BLAS_FOUND)
  set(_additional_libs ${BLAS_LIBRARIES})
endif(LAPACK_FOUND)

dune_add_library("dunecommon"
  debugallocator.cc
  dynmatrixev.cc
  exceptions.cc
  fmatrixev.cc
  ios_state.cc
  parametertree.cc
  parametertreeparser.cc
  path.cc
  stdstreams.cc
  ADD_LIBS "${_additional_libs}")

#install headers
install(FILES
        alignment.hh
        array.hh
        arraylist.hh
        bartonnackmanifcheck.hh
        bigunsignedint.hh
        binaryfunctions.hh
        bitsetvector.hh
        classname.hh
        collectivecommunication.hh
        debugallocator.hh
        debugstream.hh
        deprecated.hh
        densematrix.hh
        densevector.hh
	diagonalmatrix.hh
        documentation.hh
	dotproduct.hh
        dynmatrix.hh
	dynmatrixev.hh
        dynvector.hh
        enumset.hh
        exceptions.hh
        fassign.hh
        float_cmp.cc
        float_cmp.hh
        fmatrix.hh
        fmatrixev.hh
        forloop.hh
        ftraits.hh
        function.hh
        fvector.hh
        gcd.hh
        genericiterator.hh
        gmpfield.hh
        hash.hh
        identitymatrix.hh
        indent.hh
        interfaces.hh
        ios_state.hh
        iteratorfacades.hh
        lcm.hh
        lru.hh
        mallocallocator.hh
        math.hh
        matvectraits.hh
        misc.hh
        mpicollectivecommunication.hh
        mpiguard.hh
        mpihelper.hh
        mpitraits.hh
        nullptr.hh
        parametertree.hh
        parametertreeparser.hh
        path.hh
        poolallocator.hh
        power.hh
        precision.hh
        propertymap.hh
	promotiontraits.hh
        reservedvector.hh
        shared_ptr.hh
        singleton.hh
        sllist.hh
        static_assert.hh
        stdstreams.hh
        stringutility.hh
        timer.hh
        tuples.hh
        tupleutility.hh
        typetraits.hh
        unused.hh
        version.hh
        visibility.hh
DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/common)

# Install some test headers, because they get used by tests in other modules
# We do this here as test will not be considered for make install
install(FILES test/iteratortest.hh
  test/checkmatrixinterface.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/common/test)

=== dune/common/parallel/CMakeLists.txt ===
add_subdirectory("test" EXCLUDE_FROM_ALL)

#install headers
install(FILES
        collectivecommunication.hh
        communicator.hh
        indexset.hh
        indicessyncer.hh
        interface.hh
        localindex.hh
        mpicollectivecommunication.hh
        mpiguard.hh
        mpihelper.hh
        mpitraits.hh
        plocalindex.hh
        remoteindices.hh
        selection.hh
        variablesizecommunicator.hh
	DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/common/parallel)

=== dune/common/std/CMakeLists.txt ===
install(FILES
        constexpr.hh
DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/common/std)

=== dune/common/test/CMakeLists.txt ===
# tests that should build and run successfully
set(TESTS
    arraylisttest
    arraytest
    bigunsignedinttest
    bitsetvectortest
    check_fvector_size
    conversiontest
    diagonalmatrixtest
    dynmatrixtest
    dynvectortest
    eigenvaluestest
    enumsettest
    fassigntest
    fmatrixtest
    fvectortest
    gcdlcmtest
    iteratorfacadetest
    iteratorfacadetest2
    lrutest
    mpicollectivecommunication
    mpiguardtest
    mpihelpertest
    mpihelpertest2
    nullptr_test
    pathtest
    parametertreetest
    poolallocatortest
    shared_ptrtest_config
    shared_ptrtest_dune
    singletontest
    static_assert_test
    streamtest
    testfassign1
    testfassign2
    testfassign3
    testfassign4
    testfconstruct
    testfloatcmp
    tuplestest_config
    tuplestest_dune
    tuplestest_tr1
    tupleutilitytest
    utilitytest)

#test that should build but fail to run successfully
set(FAILTESTS
    testdebugallocator_fail1
    testdebugallocator_fail2
    testdebugallocator_fail3
    testdebugallocator_fail4
    testdebugallocator_fail5
    testfassign_fail1
    testfassign_fail2
    testfassign_fail3
    testfassign_fail4
    testfassign_fail5
    testfassign_fail6)

set(COMPILEFAILTESTS
    check_fvector_size_fail1
    check_fvector_size_fail2
    genericiterator_compile_fail
    nullptr-test-fail
    static_assert_test_fail
    testfconstruct_fail1
    testfconstruct_fail2)

set(TESTPROGS ${TESTS} ${FAILTESTS})

# We do not want want to build the tests during make all,
# but just build them on demand
add_directory_test_target(_test_target)
add_dependencies(${_test_target} ${TESTPROGS})

# Add the executables needed for the tests
add_executable("arraylisttest" arraylisttest.cc)
add_executable("arraytest" arraytest.cc)

add_executable("bigunsignedinttest" bigunsignedinttest.cc)
target_link_libraries("bigunsignedinttest" "dunecommon")
add_dune_boost_flags("bigunsignedinttest")

add_executable("bitsetvectortest" bitsetvectortest.cc)
add_executable("check_fvector_size" check_fvector_size.cc)
add_executable("check_fvector_size_fail1" EXCLUDE_FROM_ALL check_fvector_size_fail.cc)
set_target_properties(check_fvector_size_fail1 PROPERTIES COMPILE_FLAGS "-DDIM=1")
add_executable("check_fvector_size_fail2" EXCLUDE_FROM_ALL check_fvector_size_fail.cc)
set_target_properties(check_fvector_size_fail2 PROPERTIES COMPILE_FLAGS "-DDIM=3")
add_executable("conversiontest" conversiontest.cc)

add_executable("dynmatrixtest" dynmatrixtest.cc)
target_link_libraries("dynmatrixtest" "dunecommon")

add_executable("dynvectortest" dynvectortest.cc)

add_executable("eigenvaluestest" eigenvaluestest.cc)
target_link_libraries(eigenvaluestest dunecommon)
if(LAPACK_FOUND)
  target_link_libraries(eigenvaluestest ${LAPACK_LIBRARIES})
endif(LAPACK_FOUND)

add_executable("diagonalmatrixtest" diagonalmatrixtest.cc)
target_link_libraries("diagonalmatrixtest" "dunecommon")

add_executable("enumsettest" enumsettest.cc)

add_executable("fassigntest" fassigntest.cc)
target_link_libraries("fassigntest" "dunecommon")


add_executable("testfloatcmp" testfloatcmp.cc)
target_link_libraries("testfloatcmp" "dunecommon")

# we provide an empty fortran file to force the linker
# to link to the fortran libraries (needed for static linking)
add_executable("fmatrixtest" fmatrixtest.cc dummy.f)
target_link_libraries("fmatrixtest" "dunecommon")
add_executable("fvectortest" fvectortest.cc)
add_executable("gcdlcmtest" gcdlcmtest.cc)
add_executable("genericiterator_compile_fail" EXCLUDE_FROM_ALL genericiterator_compile_fail.cc)
add_executable("iteratorfacadetest2" iteratorfacadetest2.cc)
add_executable("iteratorfacadetest" iteratorfacadetest.cc)
add_executable("lrutest" lrutest.cc)
target_link_libraries("lrutest" "dunecommon")
add_executable("mpiguardtest" mpiguardtest.cc)
target_link_libraries("mpiguardtest" "dunecommon")
add_DUNE_MPI_flags(mpiguardtest)

add_executable("mpicollectivecommunication" mpicollectivecommunication.cc)
target_link_libraries(mpicollectivecommunication "dunecommon")
add_DUNE_MPI_flags(mpicollectivecommunication)

add_executable("mpihelpertest" mpihelpertest.cc)
target_link_libraries(mpihelpertest "dunecommon")
add_DUNE_MPI_flags(mpihelpertest)

add_executable("mpihelpertest2" mpihelpertest.cc)
target_link_libraries(mpihelpertest2 "dunecommon")
add_DUNE_MPI_flags(mpihelpertest2)
set_target_properties(mpihelpertest2 PROPERTIES COMPILE_FLAGS "-DMPIHELPER_PREINITIALIZE")

add_executable("nullptr_test" nullptr-test.cc nullptr-test2.cc)
target_link_libraries(nullptr_test "dunecommon")
add_executable("nullptr_test_fail" EXCLUDE_FROM_ALL nullptr-test.cc)
target_link_libraries(nullptr_test_fail "dunecommon")
set_target_properties(nullptr_test_fail PROPERTIES COMPILE_FLAGS "-DFAIL")

add_executable("parametertreetest" parametertreetest.cc)
target_link_libraries("parametertreetest" "dunecommon")

add_executable("pathtest" pathtest.cc)
target_link_libraries("pathtest" "dunecommon")

add_executable("poolallocatortest" poolallocatortest.cc)
add_executable("shared_ptrtest_config" shared_ptrtest.cc)
add_executable("shared_ptrtest_dune" shared_ptrtest.cc)
set_target_properties(shared_ptrtest_dune PROPERTIES COMPILE_FLAGS "-DDISABLE_CONFIGURED_SHARED_PTR")
add_executable("singletontest" singletontest.cc)
add_executable("sllisttest" EXCLUDE_FROM_ALL sllisttest.cc)
add_executable("static_assert_test" EXCLUDE_FROM_ALL static_assert_test.cc)
add_executable("static_assert_test_fail" EXCLUDE_FROM_ALL static_assert_test_fail.cc)

add_executable("streamtest" streamtest.cc)
target_link_libraries("streamtest" "dunecommon")

add_executable("testfassign1" testfassign.cc testfassign2.cc)
set_target_properties(testfassign1 PROPERTIES COMPILE_FLAGS "-D_DUNE_TEST_N=3 -D_VALUES=\"1,2,3\"")
target_link_libraries(testfassign1 "dunecommon")
add_executable("testfassign2" testfassign.cc)
set_target_properties(testfassign2 PROPERTIES COMPILE_FLAGS "-D_DUNE_TEST_N=3 -D_VALUES=\"1,zero\"")
target_link_libraries(testfassign2 "dunecommon")
add_executable("testfassign3" testfassign.cc)
set_target_properties(testfassign3 PROPERTIES COMPILE_FLAGS "-D_DUNE_TEST_N=3 -D_VALUES=\"zero\"")
target_link_libraries(testfassign3 "dunecommon")
add_executable("testfassign4" testfassign.cc)
set_target_properties(testfassign4 PROPERTIES COMPILE_FLAGS "-D_DUNE_TEST_N=2 -D_DUNE_TEST_M=3 -D_VALUES=\"1, zero, nextRow, 2, 3, 4\"")
target_link_libraries(testfassign4 "dunecommon")

add_executable("testdebugallocator" testdebugallocator.cc)
target_link_libraries(testdebugallocator dunecommon)
add_executable("testdebugallocator_fail1" testdebugallocator.cc)
target_link_libraries(testdebugallocator_fail1 dunecommon)
set_target_properties(testdebugallocator_fail1 PROPERTIES COMPILE_DEFINITIONS "FAILURE1")
add_executable("testdebugallocator_fail2" testdebugallocator.cc)
target_link_libraries(testdebugallocator_fail2 dunecommon)
set_target_properties(testdebugallocator_fail2 PROPERTIES COMPILE_DEFINITIONS "FAILURE2")
add_executable("testdebugallocator_fail3" testdebugallocator.cc)
target_link_libraries(testdebugallocator_fail3 dunecommon)
set_target_properties(testdebugallocator_fail3 PROPERTIES COMPILE_DEFINITIONS "FAILURE3")
add_executable("testdebugallocator_fail4" testdebugallocator.cc)
target_link_libraries(testdebugallocator_fail4 dunecommon)
set_target_properties(testdebugallocator_fail4 PROPERTIES COMPILE_DEFINITIONS "FAILURE4;DEBUG_ALLOCATOR_KEEP=1")
add_executable("testdebugallocator_fail5" testdebugallocator.cc)
target_link_libraries(testdebugallocator_fail5 dunecommon)
set_target_properties(testdebugallocator_fail5 PROPERTIES COMPILE_DEFINITIONS "FAILURE5")

add_executable("testfassign_fail1" testfassign.cc)
set_target_properties(testfassign_fail1 PROPERTIES COMPILE_FLAGS "-D_DUNE_TEST_N=3 -D_VALUES=\"1,2\"")
target_link_libraries(testfassign_fail1 "dunecommon")
add_executable("testfassign_fail2" testfassign.cc)
set_target_properties(testfassign_fail2 PROPERTIES COMPILE_FLAGS "-D_DUNE_TEST_N=3 -D_VALUES=\"1,2,3,4\"")
target_link_libraries(testfassign_fail2 "dunecommon")
add_executable("testfassign_fail3" testfassign.cc)
set_target_properties(testfassign_fail3 PROPERTIES COMPILE_FLAGS "-D_DUNE_TEST_N=2 -D_DUNE_TEST_M=2 -D_VALUES=\"1, nextRow, 2, 3\"")
target_link_libraries(testfassign_fail3 "dunecommon")
add_executable("testfassign_fail4" testfassign.cc)
set_target_properties(testfassign_fail4 PROPERTIES COMPILE_FLAGS "-D_DUNE_TEST_N=2 -D_DUNE_TEST_M=2 -D_VALUES=\"1, 2, 3, nextRow, 2, 3\"")
target_link_libraries(testfassign_fail4 "dunecommon")
add_executable("testfassign_fail5" testfassign.cc)
set_target_properties(testfassign_fail5 PROPERTIES COMPILE_FLAGS "-D_DUNE_TEST_N=2 -D_DUNE_TEST_M=2 -D_VALUES=\"1, 2\"")
target_link_libraries(testfassign_fail5 "dunecommon")
add_executable("testfassign_fail6" testfassign.cc)
set_target_properties(testfassign_fail6 PROPERTIES COMPILE_FLAGS "-D_DUNE_TEST_N=2 -D_DUNE_TEST_M=2 -D_VALUES=\"1, 2, nextRow, 2, 3, nextRow, 4, 5\"")
target_link_libraries(testfassign_fail6 "dunecommon")

add_executable("testfconstruct" EXCLUDE_FROM_ALL testfconstruct.cc)
set_target_properties(testfconstruct PROPERTIES COMPILE_FLAGS "-DFVSIZE=3")
target_link_libraries(testfconstruct "dunecommon")
add_executable("testfconstruct_fail1" EXCLUDE_FROM_ALL testfconstruct.cc)
set_target_properties(testfconstruct_fail1 PROPERTIES COMPILE_FLAGS "-DFVSIZE=2")
target_link_libraries(testfconstruct_fail1 "dunecommon")
add_executable("testfconstruct_fail2" EXCLUDE_FROM_ALL testfconstruct.cc)
set_target_properties(testfconstruct_fail2 PROPERTIES COMPILE_FLAGS "-DFVSIZE=5")
target_link_libraries(testfconstruct_fail2 "dunecommon")
add_executable("tuplestest_config" tuplestest.cc)
add_executable("tuplestest_dune" tuplestest.cc)
set_target_properties(tuplestest_dune PROPERTIES COMPILE_FLAGS "-DDISABLE_TR1_TUPLE -DDISABLE_STD_TUPLE")
add_executable("tuplestest_tr1" tuplestest.cc)
set_target_properties(tuplestest_tr1 PROPERTIES COMPILE_FLAGS "-DDISABLE_STD_TUPLE")
add_executable("tupleutilitytest" tupleutilitytest.cc)
add_executable("utilitytest" utilitytest.cc)

# Add the tests to be executed
foreach(_TEST ${TESTPROGS})
  add_test(${_TEST} ${_TEST})
endforeach(_TEST)

#Set properties for failing tests
set_tests_properties(
  ${FAILTESTS}
  PROPERTIES WILL_FAIL true)

# compile tests that should fail
foreach(_TEST ${COMPILEFAILTESTS})
  add_test(NAME ${_TEST}
  COMMAND ${CMAKE_COMMAND} --build . --target ${_TEST} --config $<CONFIGURATION>)
endforeach(_TEST)
set_tests_properties(
  ${COMPILEFAILTESTS}
  PROPERTIES WILL_FAIL true)

=== share/bash-completion/completions/CMakeLists.txt ===
install(FILES
  dunecontrol
  DESTINATION ${CMAKE_INSTALL_DATADIR}/share/bash-completion/
)

=== dune/common/parallel/test/CMakeLists.txt ===
set(MPITESTPROGS indicestest indexsettest syncertest selectiontest variablesizecommunicatortest)

add_directory_test_target(_test_target)
# We do not want want to build the tests during make all,
# but just build them on demand
add_dependencies(${_test_target} ${MPITESTPROGS})

add_executable("indexsettest" indexsettest.cc)
target_link_libraries("indexsettest" "dunecommon" ${CMAKE_THREAD_LIBS_INIT} ${})

include(DuneMPI)
add_executable("indicestest" indicestest.cc)
target_link_libraries("indicestest" "dunecommon")
add_dune_mpi_flags(indicestest)

add_executable("selectiontest" selectiontest.cc)
target_link_libraries("selectiontest" "dunecommon")
add_dune_mpi_flags(selectiontest)

add_executable("syncertest" syncertest.cc)
target_link_libraries("syncertest" "dunecommon")
add_dune_mpi_flags(syncertest)

add_executable("variablesizecommunicatortest" variablesizecommunicatortest.cc)
target_link_libraries("variablesizecommunicatortest" "dunecommon")
add_dune_mpi_flags(variablesizecommunicatortest)

add_test(indexsettest			indexsettest)
add_test(selectiontest			selectiontest)
add_test(indicestest			indicestest)
add_test(syncertest			syncertest)
add_test(variablesizecommunicatortest   variablesizecommunicatortest)

## dune-common 2.2~svn6573

=== debian/changelog ===
dune-common (2.2~svn6573-1) experimental; urgency=low

  * Initial release. (Closes: #661823)

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 17 Mar 2012 17:15:13 +0100

=== debian/control ===
Source: dune-common
Section: libs
Priority: optional
Standards-Version: 3.9.3
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/dune-common.git
Vcs-Git: git://git.debian.org/debian-science/packages/dune-common.git
Homepage: http://www.dune-project.org/
Build-Depends: debhelper (>= 9),
 automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config
Build-Depends-Indep: doxygen, ghostscript, texlive-latex-recommended, pgf

Package: libdune-common-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libdune-common-2.2svn (= ${binary:Version})
Pre-Depends: dpkg (>= 1.15.6)
Recommends: automake, autoconf, libtool, pkg-config
Suggests: libdune-common-dbg (= ${binary:Version})
Description: toolbox for solving PDEs -- basic classes (development files)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the development files for the basic classes.

Package: libdune-common-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libdune-common-2.2svn (= ${binary:Version})
Pre-Depends: dpkg (>= 1.15.6)
Description: toolbox for solving PDEs -- basic classes (debug symbols)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the debug symbols for the basic classes.

Package: libdune-common-2.2svn
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6)
Description: toolbox for solving PDEs -- basic classes (library)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the library for the basic classes.

Package: libdune-common-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6)
Description: toolbox for solving PDEs -- basic classes (documentation)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the documentation for the basic classes.

=== debian/rules ===
#! /usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DUNE_DEBIAN_DUNECONTROL := $(CURDIR)/bin/dunecontrol
include debian/dune-debian.mk

%:
	dh $@ --parallel

override_dh_auto_install-arch:
	set -e; for d in am bin dune lib m4; do \
	  $(MAKE) -C $$d install DESTDIR="$(CURDIR)/debian/tmp"; \
	done
	$(MAKE) install-data-am install-exec-am DESTDIR="$(CURDIR)/debian/tmp"
	mkdir doc/doxygen/html
	$(MAKE) -C doc/doxygen install-data-am DESTDIR="$(CURDIR)/debian/tmp"

	mv debian/tmp/usr/bin/mpi-config debian/tmp/usr/bin/dune-mpi-config
	sed -i "s,\$$PREFIX_DIR/lib,/usr/lib/$(DEB_HOST_MULTIARCH)," debian/tmp/usr/bin/dunecontrol
	sed -i "s,/usr/lib/dunecontrol/,& /usr/lib/$(DEB_HOST_MULTIARCH)/dunecontrol/," debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/dunemodules.lib

override_dh_auto_install-indep:
	$(MAKE) -C doc install DESTDIR="$(CURDIR)/debian/tmp"

override_dh_strip:
	dh_strip --dbg-package=libdune-common-dbg

## dune-common 2.2.0

=== debian/changelog ===
dune-common (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Install dunemodules.lib to /usr/lib.
  * Update debian/copyright.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 05 Jun 2012 10:17:59 +0200

dune-common (2.2~svn6684-1) experimental; urgency=low

  * New upstream snapshot.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 06 May 2012 14:31:49 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: libdune-common-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libdune-common-2.2svn (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, libdune-common-2.2.0 (= ${binary:Version})
 Pre-Depends: dpkg (>= 1.15.6)
 Recommends: automake, autoconf, libtool, pkg-config
 Suggests: libdune-common-dbg (= ${binary:Version})
@@ -30,7 +30,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libdune-common-2.2svn (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, libdune-common-2.2.0 (= ${binary:Version})
 Pre-Depends: dpkg (>= 1.15.6)
 Description: toolbox for solving PDEs -- basic classes (debug symbols)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
@@ -40,7 +40,7 @@
  .
  This package contains the debug symbols for the basic classes.
 
-Package: libdune-common-2.2svn
+Package: libdune-common-2.2.0
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6)

## dune-common 2.2.1

=== debian/changelog ===
dune-common (2.2.1-2) unstable; urgency=low

  * Upload to unstable.
  * Bumped Standards-Version to 3.9.4 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 12 May 2013 18:30:12 +0200

dune-common (2.2.1-1) experimental; urgency=low

  * New upstream release. (Closes: #701866)
  * debian/copyright: Update for new upstream release.
  * Mark runtime and debug packages as Multi-Arch: same.
  * lib/dunemodules.lib: Fix PARSER_TRIM.
    + new patch: fix-PARSER_TRIM.diff
  * Update aclocal.patch.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 02 Mar 2013 02:17:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dune-common
 Section: libs
 Priority: optional
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/dune-common.git
@@ -14,7 +14,7 @@
 Package: libdune-common-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libdune-common-2.2.0 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, libdune-common-2.2.1 (= ${binary:Version})
 Pre-Depends: dpkg (>= 1.15.6)
 Recommends: automake, autoconf, libtool, pkg-config
 Suggests: libdune-common-dbg (= ${binary:Version})
@@ -30,7 +30,8 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libdune-common-2.2.0 (= ${binary:Version})
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}, libdune-common-2.2.1 (= ${binary:Version})
 Pre-Depends: dpkg (>= 1.15.6)
 Description: toolbox for solving PDEs -- basic classes (debug symbols)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
@@ -40,8 +41,9 @@
  .
  This package contains the debug symbols for the basic classes.
 
-Package: libdune-common-2.2.0
+Package: libdune-common-2.2.1
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6)
 Description: toolbox for solving PDEs -- basic classes (library)

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,6 @@
 	$(MAKE) -C doc/doxygen install-data-am DESTDIR="$(CURDIR)/debian/tmp"
 
 	mv debian/tmp/usr/bin/mpi-config debian/tmp/usr/bin/dune-mpi-config
-	sed -i "s,\$$PREFIX_DIR/lib,/usr/lib/$(DEB_HOST_MULTIARCH)," debian/tmp/usr/bin/dunecontrol
 	sed -i "s,/usr/lib/dunecontrol/,& /usr/lib/$(DEB_HOST_MULTIARCH)/dunecontrol/," debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/dunemodules.lib
 
 override_dh_auto_install-indep:

## dune-common 2.3.1

=== debian/changelog ===
dune-common (2.3.1-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Alexander Krampe <alexander.krampe@gmail.com>  Thu, 06 Nov 2014 12:26:50 +0100

dune-common (2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Install bash completion for dunecontrol.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 17 Jun 2014 19:46:31 +0200

dune-common (2.3.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Change shared library package name to libdune-common-2.3.1.
  * dune-debian.mk: Enable support for UG.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 10 Jun 2014 19:54:09 +0200

dune-common (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Change shared library package name to libdune-common-2.3.0.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 14 Feb 2014 09:12:40 +0100

dune-common (2.3~20140122g7a7cf2b-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 22 Jan 2014 23:10:56 +0100

dune-common (2.3~20140117beta2-1) experimental; urgency=medium

  * New upstream snapshot.
  * Remove patches that should be obsoleted by upstream changes.
  * dune-debian.mk: Remove obsolete --enable-fieldvector-size-is-method flag.
  * libdune-common-dev.install: Install /usr/lib/*/cmake.
  * Backport 073167e61070a5e952c738c02d85c3f946717e40 ([dune-autogen]
    Prevents overriding am_dir with installed modules) from master branch.
    + New patch: 0001-dune-autogen-Prevents-overriding-am_dir-with-install.patch

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 20 Jan 2014 13:42:47 +0100

dune-common (2.3~20140111beta1-1) experimental; urgency=medium

  * New upstream snapshot.
  * Rename git-whitespace-hook to dune-git-whitespace-hook.
  * Install cmake modules. Note that it is still not possible to use
    cmake with the Debian packages.
  * debian/control: Remove ${shlibs:Depends} from -dev and -dbg package.
  * debian/dune-debian.mk: Use default compression for binary packages.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 15 Jan 2014 13:33:04 +0100

dune-common (2.3~20140103g107b57a-1) experimental; urgency=medium

  * New upstream snapshot.
  * Install man page using dh_installman as "make install" is not called
    for the doc subdirectory and thus dh_install cannot find usr/share/man.
  * debian/dune-debian.mk: Restore --without-parmetis.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 03 Jan 2014 00:40:13 +0100

dune-common (2.3~20131227g6c02812-1) experimental; urgency=medium

  * New upstream snapshot.
  * Add Build-Depends on texlive-latex-extra (for subfigure.sty).
  * Change shared library package name to libdune-common-2.3svn.
  * Patch dunecontrol to skip directories starting with a dot when
    looking for dune.module.
    + new patch: skip-dirs-starting-with-dot.patch
  * Install dune_cxa_demangle.m4.
    + new patch: 0001-Install-dune_cxa_demangle.m4.patch
  * debian/dune-debian.mk: Do not pass --without-parmetis to configure
    as doing so triggers a bug causing the configure script to abort, cf.
    <https://dune-project.org/flyspray/index.php?do=details&task_id=1404>
  * debian/control: Use canonical Vcs-* URIs.
  * debian/control: Drop pre-depends on dpkg (>= 1.15.6) which is
    already satisfied in Debian 6.
  * debian/rules: Install am2cmake.py as dune-am2cmake.
  * libdune-common-dev: Add dependency on python and python-pyparsing
    for am2cmake.py.
  * libdune-common-dev: Include man page for dunecontrol.
  * Bumped Standards-Version to 3.9.5 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 01 Jan 2014 19:40:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: dune-common
 Section: libs
 Priority: optional
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/dune-common.git
-Vcs-Git: git://git.debian.org/debian-science/packages/dune-common.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/dune-common.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/dune-common.git
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
  automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config
-Build-Depends-Indep: doxygen, ghostscript, texlive-latex-recommended, pgf
+Build-Depends-Indep: doxygen, ghostscript, texlive-latex-extra, texlive-latex-recommended, pgf
 
 Package: libdune-common-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libdune-common-2.2.1 (= ${binary:Version})
-Pre-Depends: dpkg (>= 1.15.6)
-Recommends: automake, autoconf, libtool, pkg-config
+Depends: ${misc:Depends}, libdune-common-2.3.1 (= ${binary:Version}),
+ pkg-config, python, python-pyparsing
+Recommends: automake, autoconf, libtool
 Suggests: libdune-common-dbg (= ${binary:Version})
 Description: toolbox for solving PDEs -- basic classes (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
@@ -31,8 +31,7 @@
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}, libdune-common-2.2.1 (= ${binary:Version})
-Pre-Depends: dpkg (>= 1.15.6)
+Depends: ${misc:Depends}, libdune-common-2.3.1 (= ${binary:Version})
 Description: toolbox for solving PDEs -- basic classes (debug symbols)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
  for solving partial differential equations (PDEs) with grid-based methods.
@@ -41,11 +40,11 @@
  .
  This package contains the debug symbols for the basic classes.
 
-Package: libdune-common-2.2.1
+Package: libdune-common-2.3.1
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6)
+Pre-Depends: ${misc:Pre-Depends}
 Description: toolbox for solving PDEs -- basic classes (library)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
  for solving partial differential equations (PDEs) with grid-based methods.
@@ -57,8 +56,8 @@
 Package: libdune-common-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
-Pre-Depends: dpkg (>= 1.15.6)
 Description: toolbox for solving PDEs -- basic classes (documentation)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
  for solving partial differential equations (PDEs) with grid-based methods.

## dune-common 2.4.0

=== cmake/modules/CMakeLists.txt ===
set(modules
  AddGMPFlags.cmake
  AddMETISFlags.cmake
  AddParMETISFlags.cmake
  AddPTScotchFlags.cmake
  AddUMFPackFlags.cmake
  CheckCXX11Features.cmake
  DuneBoost.cmake
  DuneCMakePackageConfigHelpers.cmake
  DuneCommonMacros.cmake
  DuneCxaDemangle.cmake
  DuneDoc.cmake
  DuneDoxygen.cmake
  DuneEnableAllPackages.cmake
  DuneMacros.cmake
  DuneMPI.cmake
  DunePkgConfig.cmake
  DuneStreams.cmake
  DuneSymlinkOrCopy.cmake
  DuneTestMacros.cmake
  DuneTests.cmake
  FindBoostFusion.cmake
  FindGMP.cmake
  FindInkscape.cmake
  FindMETIS.cmake
  FindMProtect.cmake
  FindParMETIS.cmake
  FindPTScotch.cmake
  FindThreadsCMake31.cmake
  FindUMFPack.cmake
  Headercheck.cmake
  LanguageSupport.cmake
  OverloadCompilerFlags.cmake
  UseInkscape.cmake
  UseLATEX.cmake)
set(test_programs CheckForPthreads.c)
install(FILES ${modules}
              ${test_programs}
        DESTINATION ${DUNE_INSTALL_MODULEDIR})

=== dune/common/test/CMakeLists.txt ===
# tests that should build and run successfully
set(TESTS
    arraylisttest
    arraytest
    bigunsignedinttest
    bitsetvectortest
    calloncetest
    check_fvector_size
    conversiontest
    diagonalmatrixtest
    dynmatrixtest
    dynvectortest
    enumsettest
    fmatrixtest
    fvectortest
    gcdlcmtest
    integersequence
    iteratorfacadetest
    iteratorfacadetest2
    lrutest
    mpicollectivecommunication
    mpiguardtest
    mpihelpertest
    mpihelpertest2
    nullptr_test
    pathtest
    parametertreelocaletest
    parametertreetest
    poolallocatortest
    shared_ptrtest_config
    singletontest
    streamtest
    testfloatcmp
    tuplestest_config
    tupleutilitytest
    utilitytest)

#test that should build but fail to run successfully
set(FAILTESTS
    testdebugallocator_fail1
    testdebugallocator_fail2
    testdebugallocator_fail3
    testdebugallocator_fail4
    testdebugallocator_fail5
   )

set(COMPILEFAILTESTS
    check_fvector_size_fail1
    check_fvector_size_fail2
    genericiterator_compile_fail
    nullptr-test-fail)

# Add the executables needed for the tests
add_executable("arraylisttest" arraylisttest.cc)
add_executable("arraytest" arraytest.cc)

add_executable("bigunsignedinttest" bigunsignedinttest.cc)
target_link_libraries("bigunsignedinttest" "dunecommon")

add_executable("bitsetvectortest" bitsetvectortest.cc)
add_executable("calloncetest" calloncetest.cc)
target_link_libraries("calloncetest" "dunecommon")
add_executable("check_fvector_size" check_fvector_size.cc)
add_executable("check_fvector_size_fail1" EXCLUDE_FROM_ALL check_fvector_size_fail.cc)
set_target_properties(check_fvector_size_fail1 PROPERTIES COMPILE_FLAGS "-DDIM=1")
add_executable("check_fvector_size_fail2" EXCLUDE_FROM_ALL check_fvector_size_fail.cc)
set_target_properties(check_fvector_size_fail2 PROPERTIES COMPILE_FLAGS "-DDIM=3")
add_executable("conversiontest" conversiontest.cc)

add_executable("dynmatrixtest" dynmatrixtest.cc)
target_link_libraries("dynmatrixtest" "dunecommon")

add_executable("dynvectortest" dynvectortest.cc)

if(${LAPACK_FOUND})
  add_executable(eigenvaluestest eigenvaluestest.cc)
  target_link_libraries(eigenvaluestest dunecommon)
  target_link_libraries(eigenvaluestest ${LAPACK_LIBRARIES})
  list(APPEND TESTS eigenvaluestest)
endif()

add_executable("diagonalmatrixtest" diagonalmatrixtest.cc)
target_link_libraries("diagonalmatrixtest" "dunecommon")

add_executable("enumsettest" enumsettest.cc)

add_executable("testfloatcmp" testfloatcmp.cc)
target_link_libraries("testfloatcmp" "dunecommon")

# we provide an empty fortran file to force the linker
# to link to the fortran libraries (needed for static linking)
add_executable("fmatrixtest" fmatrixtest.cc dummy.f)
target_link_libraries("fmatrixtest" "dunecommon")
add_executable("fvectortest" fvectortest.cc)
add_dune_gmp_flags("fvectortest")
add_executable("gcdlcmtest" gcdlcmtest.cc)
add_executable("genericiterator_compile_fail" EXCLUDE_FROM_ALL genericiterator_compile_fail.cc)
add_executable("integersequence" integersequence.cc)
add_executable("iteratorfacadetest2" iteratorfacadetest2.cc)
add_executable("iteratorfacadetest" iteratorfacadetest.cc)
add_executable("lrutest" lrutest.cc)
target_link_libraries("lrutest" "dunecommon")
add_executable("mpiguardtest" mpiguardtest.cc)
target_link_libraries("mpiguardtest" "dunecommon")
add_DUNE_MPI_flags(mpiguardtest)

add_executable("mpicollectivecommunication" mpicollectivecommunication.cc)
target_link_libraries(mpicollectivecommunication "dunecommon")
add_DUNE_MPI_flags(mpicollectivecommunication)

add_executable("mpihelpertest" mpihelpertest.cc)
target_link_libraries(mpihelpertest "dunecommon")
add_DUNE_MPI_flags(mpihelpertest)

add_executable("mpihelpertest2" mpihelpertest.cc)
target_link_libraries(mpihelpertest2 "dunecommon")
add_DUNE_MPI_flags(mpihelpertest2)
set_target_properties(mpihelpertest2 PROPERTIES COMPILE_FLAGS "-DMPIHELPER_PREINITIALIZE")

add_executable("nullptr_test" nullptr-test.cc nullptr-test2.cc)
target_link_libraries(nullptr_test "dunecommon")
add_executable("nullptr_test_fail" EXCLUDE_FROM_ALL nullptr-test.cc)
target_link_libraries(nullptr_test_fail "dunecommon")
set_target_properties(nullptr_test_fail PROPERTIES COMPILE_FLAGS "-DFAIL")

add_executable("parametertreelocaletest" parametertreelocaletest.cc)
target_link_libraries("parametertreelocaletest" "dunecommon")

add_executable("parametertreetest" parametertreetest.cc)
target_link_libraries("parametertreetest" "dunecommon")

add_executable("pathtest" pathtest.cc)
target_link_libraries("pathtest" "dunecommon")

add_executable("poolallocatortest" poolallocatortest.cc)
add_executable("shared_ptrtest_config" shared_ptrtest.cc)
add_executable("singletontest" singletontest.cc)
add_executable("sllisttest" EXCLUDE_FROM_ALL sllisttest.cc)

add_executable("streamtest" streamtest.cc)
target_link_libraries("streamtest" "dunecommon")

add_executable("testdebugallocator" testdebugallocator.cc)
target_link_libraries(testdebugallocator dunecommon)
add_executable("testdebugallocator_fail1" testdebugallocator.cc)
target_link_libraries(testdebugallocator_fail1 dunecommon)
set_target_properties(testdebugallocator_fail1 PROPERTIES COMPILE_DEFINITIONS "FAILURE1;EXPECTED_SIGNAL=SIGSEGV")
add_executable("testdebugallocator_fail2" testdebugallocator.cc)
target_link_libraries(testdebugallocator_fail2 dunecommon)
set_target_properties(testdebugallocator_fail2 PROPERTIES COMPILE_DEFINITIONS "FAILURE2;EXPECTED_SIGNAL=SIGABRT")
add_executable("testdebugallocator_fail3" testdebugallocator.cc)
target_link_libraries(testdebugallocator_fail3 dunecommon)
set_target_properties(testdebugallocator_fail3 PROPERTIES COMPILE_DEFINITIONS "FAILURE3;EXPECTED_SIGNAL=SIGABRT")
add_executable("testdebugallocator_fail4" testdebugallocator.cc)
target_link_libraries(testdebugallocator_fail4 dunecommon)
set_target_properties(testdebugallocator_fail4 PROPERTIES COMPILE_DEFINITIONS "FAILURE4;DEBUG_ALLOCATOR_KEEP=1;EXPECTED_SIGNAL=SIGSEGV")
add_executable("testdebugallocator_fail5" testdebugallocator.cc)
target_link_libraries(testdebugallocator_fail5 dunecommon)
set_target_properties(testdebugallocator_fail5 PROPERTIES COMPILE_DEFINITIONS "FAILURE5;EXPECTED_SIGNAL=SIGSEGV")

add_executable("tuplestest_config" tuplestest.cc)
add_executable("tupleutilitytest" tupleutilitytest.cc)
add_executable("utilitytest" utilitytest.cc)

set(TESTPROGS ${TESTS} ${FAILTESTS})

# We do not want want to build the tests during make all,
# but just build them on demand
add_directory_test_target(_test_target)
add_dependencies(${_test_target} ${TESTPROGS})

# Add the tests to be executed
foreach(_TEST ${TESTPROGS})
  add_test(${_TEST} ${_TEST})
endforeach(_TEST)

# treat tests returning code 77 as skipped
set_tests_properties(
  mpicollectivecommunication
  parametertreelocaletest
  PROPERTIES SKIP_RETURN_CODE 77)
if(${LAPACK_FOUND})
  set_tests_properties(eigenvaluestest
    PROPERTIES SKIP_RETURN_CODE 77)
endif()

# set properties for failing tests
set_tests_properties(
  ${FAILTESTS}
  PROPERTIES WILL_FAIL true)

# compile tests that should fail
foreach(_TEST ${COMPILEFAILTESTS})
  add_test(NAME ${_TEST}
  COMMAND ${CMAKE_COMMAND} --build . --target ${_TEST} --config $<CONFIGURATION>)
endforeach(_TEST)
set_tests_properties(
  ${COMPILEFAILTESTS}
  PROPERTIES WILL_FAIL true)

=== debian/changelog ===
dune-common (2.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 25 Sep 2015 22:29:28 +0200

dune-common (2.4~20150912rc3-1) unstable; urgency=medium

  * New upstream release candidate.
  * dune-debian.mk: Add options to enable UMFPack support.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 13 Sep 2015 13:38:49 +0200

dune-common (2.4~20150825rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * Move shared library into -dev package and provide a virtual package
    that changes with the upstream version for shlib dependencies. See
    also https://lists.debian.org/debian-devel/2015/07/msg00115.html
  * libdune-common-dev: Add -doc package as a suggested package.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 04 Sep 2015 14:24:36 +0200

dune-common (2.4~20150717rc1-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 17 Jul 2015 20:45:00 +0200

dune-common (2.4~20150617g6f17141-1) experimental; urgency=medium

  * New upstream snapshot.
  * get-orig-source: Use commit date instead of current date.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 19 Jun 2015 23:11:40 +0200

dune-common (2.4~20150521g15491c4-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 21 May 2015 21:46:50 +0200

dune-common (2.4~20150505g1ce8697-1) experimental; urgency=medium

  * New upstream snapshot.
  * Change shared library package name to libdune-common-2.4git.
  * Update debian/copyright for new upstream snapshot.
  * Add Build-Depends-Indep: graphviz for "dot".
  * dune-debian.mk: Continue to use autotools for now.
  * Bumped Standards-Version to 3.9.6 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 05 May 2015 21:53:57 +0200

=== debian/control ===
Source: dune-common
Section: libs
Priority: optional
Standards-Version: 3.9.6
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/dune-common.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/dune-common.git
Homepage: http://www.dune-project.org/
Build-Depends: debhelper (>= 9),
 automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config
Build-Depends-Indep: doxygen, ghostscript, graphviz, texlive-latex-extra, texlive-latex-recommended, pgf

Package: libdune-common-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 pkg-config, python, python-pyparsing
Recommends: automake, autoconf, libtool
Suggests: libdune-common-dbg (= ${binary:Version}),
 libdune-common-doc (= ${source:Version})
Provides: ${dune:shared-library}
Description: toolbox for solving PDEs -- basic classes (development files)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the development files for the basic classes.

Package: libdune-common-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libdune-common-dev (= ${binary:Version})
Description: toolbox for solving PDEs -- basic classes (debug symbols)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the debug symbols for the basic classes.

Package: libdune-common-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: toolbox for solving PDEs -- basic classes (documentation)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the documentation for the basic classes.
